org.icefaces.ace.component.listexporter

## Class Exporter

- java.lang.Object
- - org.icefaces.ace.component.listexporter.Exporter

- Direct Known Subclasses:
    CSVExporter, ExcelExporter, PDFExporter, XMLExporter

      public abstract class Exporter
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `encodingType`
    `protected java.lang.String` | `filename`
    `protected static java.util.regex.Pattern` | `HTML_TAG_PATTERN`
    `protected boolean` | `includeHeaders`
    `protected java.util.List<ListExporterValue>` | `listExporterValues`
    `protected static java.util.logging.Logger` | `logger`
    `protected java.lang.String` | `pdfFont`
    `protected javax.el.MethodExpression` | `postProcessor`
    `protected javax.el.MethodExpression` | `preProcessor`
    `protected boolean` | `selectedItemsOnly`
    `protected java.lang.String` | `textToExport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exporter()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `export(javax.faces.context.FacesContext facesContext, ListExporter component, ACEList list)`
    `protected java.lang.String` | `exportValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.String` | `registerResource(byte[] bytes, java.lang.String filename, java.lang.String contentType)`
    `void` | `setUp(ListExporter component, ACEList list)`
    `protected boolean` | `shouldExcludeFromExport(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final java.util.logging.Logger logger

    - #### HTML_TAG_PATTERN

          protected static final java.util.regex.Pattern HTML_TAG_PATTERN

    - #### filename

          protected java.lang.String filename

    - #### encodingType

          protected java.lang.String encodingType

    - #### preProcessor

          protected javax.el.MethodExpression preProcessor

    - #### postProcessor

          protected javax.el.MethodExpression postProcessor

    - #### includeHeaders

          protected boolean includeHeaders

    - #### selectedItemsOnly

          protected boolean selectedItemsOnly

    - #### pdfFont

          protected java.lang.String pdfFont

    - #### textToExport

          protected java.lang.String textToExport

    - #### listExporterValues

          protected java.util.List<ListExporterValue> listExporterValues

  - ### Constructor Detail

    - #### Exporter

          public Exporter()

  - ### Method Detail

    - #### setUp

          public void setUp(ListExporter component,
                            ACEList list)

    - #### export

          public abstract java.lang.String export(javax.faces.context.FacesContext facesContext,
                                                  ListExporter component,
                                                  ACEList list)
                                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### shouldExcludeFromExport

          protected boolean shouldExcludeFromExport(javax.faces.component.UIComponent component)

    - #### exportValue

          protected java.lang.String exportValue(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component)

    - #### registerResource

          protected java.lang.String registerResource(byte[] bytes,
                                                      java.lang.String filename,
                                                      java.lang.String contentType)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.